Freeciv

Editing

How to update a tileset from 2.6 to 3.0

1
  • The edit can be undone. Please check the comparison below to verify that this is what you want to do, and then save the changes below to finish undoing the edit. If you are undoing an edit that is …
Latest revision Your text
Line 1: Line 1:
To update a tileset from 2.6 to 3.0 you must add some new graphics and update the file format strings.
+
To update a tileset from 2.6 to 2.93.99 (will be 3.0 in the future) you must add some new graphics and update the file format strings. Currently these instructions go up to compatibility with freeciv S3_0 branch commit cfcc09a954 (alpha2) 21-Oct-18
   
 
==The ''.tilespec'' file==
 
==The ''.tilespec'' file==
   
* Set format of .tilespec file to <tt>options = "+Freeciv-3.0-tilespec"</tt>
+
* Set format of .tilespec file to <tt>options = "+Freeciv-tilespec-Devel-2016-Jun-07"</tt> during development. For freeciv 3.0 <tt>options = "+Freeciv-3.0-tilespec"</tt> should be used.
   
 
* '''darkness_layer''' was merged into the new '''layer_order''' tag. If you used darkness_layer = 0, you can safely remove it. Else, see the bundled tilesets for how to use layer_order.
 
* '''darkness_layer''' was merged into the new '''layer_order''' tag. If you used darkness_layer = 0, you can safely remove it. Else, see the bundled tilesets for how to use layer_order.
  Loading editor
Below are some commonly used wiki markup codes. Simply click on what you want to use and it will appear in the edit box above.

View this template